package com.sheep.gamegroup.di.modules;

import com.sheep.gamegroup.presenter.AuthenticationContract;

import dagger.Module;
import dagger.Provides;

/**
 * Created by ljy on 2018/3/17.
 */
@Module
public class AuthenticationModule {
    private AuthenticationContract.View view;

    public AuthenticationModule(AuthenticationContract.View view) {
        this.view = view;
    }
    @Provides
    public AuthenticationContract.View provideView(){
        return view;
    }
}
